%define _mariadb_ver	10.5.7

Name:		galera
Version:	26.4.6
Release:	%mkrel 3
Summary:	Synchronous multi-master wsrep provider (replication engine)
Group:		System/Servers
License:	GPLv2
URL:		http://galeracluster.com/
# Actually, the truth is, we do use galera source tarball provided by MariaDB on
# following URL (without macros):
# https://mirror.vpsfree.cz/mariadb/mariadb-%%{_mariadb_ver}/galera-26.4.3/src/galera-26.4.3.tar.gz
Source0:	https://mirror.vpsfree.cz/mariadb/mariadb-%{_mariadb_ver}/%{name}-%{version}/src/%{name}-%{version}.tar.gz
# http://releases.galeracluster.com/source/%%{name}-%%{version}.tar.gz
Source1:	garbd.service
Source2:	garbd-wrapper
Patch0:		galera-python3.patch
BuildRequires:	asio
BuildRequires:	gcc-c++
BuildRequires:	scons
BuildRequires:	systemd
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(check)
BuildRequires:	pkgconfig(openssl) >= 1.1
Requires:	nmap

Requires(post):		systemd
Requires(preun):	systemd

%description
Galera is a fast synchronous multi-master wsrep provider (replication engine)
for transactional databases and similar applications. For more information
about wsrep API see http://launchpad.net/wsrep. For a description of Galera
replication engine see http://www.codership.com.

%prep
%setup -q
%autopatch -p1

%build
CPPFLAGS="%{optflags}"
CPPFLAGS=`echo $CPPFLAGS| sed -e "s|-Wp,-D_GLIBCXX_ASSERTIONS||g" `
export CPPFLAGS

# Use bundled asio, since system asio is too new (> 1.10.8)
%scons strict_build_flags=0 system_asio=0

%install
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/garbd.service
install -D -m 755 %{SOURCE2} %{buildroot}%{_sbindir}/garbd-wrapper
install -D -m 755 garb/garbd %{buildroot}%{_sbindir}/garbd
install -D -m 755 libgalera_smm.so %{buildroot}%{_libdir}/%{name}/libgalera_smm.so
install -D -m 644 garb/files/garb.cnf %{buildroot}%{_sysconfdir}/sysconfig/garb

# docs
install -D -m 644 COPYING %{buildroot}%{_docdir}/%{name}/COPYING
install -D -m 644 asio/LICENSE_1_0.txt %{buildroot}%{_docdir}/%{name}/LICENSE.asio
install -D -m 644 scripts/packages/README %{buildroot}%{_docdir}/%{name}/README
install -D -m 644 scripts/packages/README-MySQL %{buildroot}%{_docdir}/%{name}/README-MySQL

%post
%_post_service garbd

%preun
%_preun_service garbd

%files
%doc %{_docdir}/%{name}/
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/garb
%{_sbindir}/garbd
%{_sbindir}/garbd-wrapper
%{_unitdir}/garbd.service
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}_smm.so


%changelog
* Thu Dec 31 2020 wally <wally> 26.4.6-3.mga8
+ Revision: 1666756
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 26.4.6-2.mga8
+ Revision: 1661998
- rebuild for boost 1.74.0

* Sun Nov 08 2020 daviddavid <daviddavid> 26.4.6-1.mga8
+ Revision: 1643566
- new version: 26.4.6 (for mariadb 10.5.7)

* Mon Aug 10 2020 daviddavid <daviddavid> 26.4.5-2.mga8
+ Revision: 1612984
- new version: 26.4.5

* Sun May 24 2020 daviddavid <daviddavid> 26.4.4-1.mga8
+ Revision: 1587230
- new version: 26.4.4 (for mariadb 10.4.13)

* Sun May 03 2020 wally <wally> 26.4.3-4.mga8
+ Revision: 1578051
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 26.4.3-3.mga8
+ Revision: 1544747
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 26.4.3-2.mga8
+ Revision: 1483366
- rebuild for boost 1.72.0

* Wed Nov 06 2019 daviddavid <daviddavid> 26.4.3-1.mga8
+ Revision: 1458403
- new version: 26.4.3

* Wed Aug 28 2019 daviddavid <daviddavid> 26.4.2-1.mga8
+ Revision: 1434849
- new version: 26.4.2 (for mariadb 10.4.7)

* Fri Apr 05 2019 daviddavid <daviddavid> 25.3.26-1.mga7
+ Revision: 1385905
- new version: 25.3.26
- now scons default to Python3

* Thu Jan 10 2019 daviddavid <daviddavid> 25.3.25-1.mga7
+ Revision: 1354112
- new version: 25.3.25
+ oden <oden>
- 25.3.2
- fix correct source url
- imported package galera


* Thu Oct 24 2013 Oden Eriksson <oeriksson@mandriva.com> 23.2.7-0.mga3
- initial Mageia package
